Jul 18, 2015 / by admin / No Comments

Yes, it works with the latest WordPress version and it is also backward compatible down to WP 3.0